## org.apache.xerces.readers
Interface DefaultEntityHandler.EventHandler

All Known Implementing Classes:
  XMLValidator

Enclosing class:
  DefaultEntityHandler

public static interface DefaultEntityHandler.EventHandler

Method Summary
`void` `endEntityReference(int entityName, int entityType, int entityContext)`
`boolean` `externalEntityStandaloneCheck()`
`boolean` `getValidating()`
`void` `sendEndOfInputNotifications(int entityName, boolean moreToFollow)`
`void` `sendReaderChangeNotifications(XMLEntityHandler.EntityReader reader, int readerId)`
`void` `startEntityReference(int entityName, int entityType, int entityContext)`

Method Detail

### startEntityReference

    public void startEntityReference(int entityName,
                                     int entityType,
                                     int entityContext)
                              throws java.lang.Exception

### endEntityReference

    public void endEntityReference(int entityName,
                                   int entityType,
                                   int entityContext)
                            throws java.lang.Exception

### sendEndOfInputNotifications

    public void sendEndOfInputNotifications(int entityName,
                                            boolean moreToFollow)
                                     throws java.lang.Exception

### sendReaderChangeNotifications

    public void sendReaderChangeNotifications(XMLEntityHandler.EntityReader reader,
                                              int readerId)
                                       throws java.lang.Exception

### externalEntityStandaloneCheck

    public boolean externalEntityStandaloneCheck()

### getValidating

    public boolean getValidating()

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.